# Define _make_verbose if it doesn't exist (RHEL8)
%{!?_make_verbose:%define _make_verbose V=1 VERBOSE=1}

Name:           nginx-mod-brotli
Version:        1.0.0
Release:        1%{?dist}
Summary:        Nginx brotli module
License:        BSD-2-Clause
URL:            https://github.com/google/ngx_brotli
Packager:       Teddysun <i@teddysun.com>
Source0:        https://github.com/google/ngx_brotli/archive/refs/tags/v%{version}.tar.gz#/ngx_brotli-%{version}.tar.gz

BuildRequires:  gcc cmake
BuildRequires:  nginx-mod-devel

%description
Brotli is a generic-purpose lossless compression algorithm that compresses data 
using a combination of a modern variant of the LZ77 algorithm, 
Huffman coding and 2nd order context modeling, with a compression ratio comparable 
to the best currently available general-purpose compression methods.
It is similar in speed with deflate but offers more dense compression.

ngx_brotli is a set of two nginx modules:
ngx_brotli filter module - used to compress responses on-the-fly,
ngx_brotli static module - used to serve pre-compressed files.

%prep
%autosetup -n ngx_brotli-%{version}

%build
%nginx_modconfigure
%nginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_brotli_filter_module.so %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_brotli_static_module.so %{buildroot}%{nginx_moddir}
popd

install -dm 0755 %{buildroot}%{nginx_modconfdir}
echo 'load_module "%{nginx_moddir}/ngx_http_brotli_filter_module.so";' \
    > %{buildroot}%{nginx_modconfdir}/mod-brotli.conf
echo 'load_module "%{nginx_moddir}/ngx_http_brotli_static_module.so";' \
    >> %{buildroot}%{nginx_modconfdir}/mod-brotli.conf

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{nginx_moddir}/ngx_http_brotli_filter_module.so
%{nginx_moddir}/ngx_http_brotli_static_module.so
%{nginx_modconfdir}/mod-brotli.conf

%changelog
* Sun Mar 16 2025 Teddysun <i@teddysun.com> - 1.0.0-1
- Initial packaging version 1.0.0 for nginx 1.27.4
